Bug 526418 - Problems with starting netdisco on Fedora 11
Summary: Problems with starting netdisco on Fedora 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netdisco
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Walter Gould
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 07:35 UTC by Stjepan Gros
Modified: 2009-12-01 18:27 UTC (History)
3 users (show)

Fixed In Version: 1.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 07:49:56 UTC


Attachments (Terms of Use)

Description Stjepan Gros 2009-09-30 07:35:49 UTC
Description of problem:

After configuring netdisco and restarting apache the following warning is reported:

[Wed Sep 30 09:28:13 2009] [warn] The Alias directive in /etc/httpd/conf.d/zz_netdisco_apache_dir.conf at line 5 will probably never match because it overlaps an earlier Alias.

When trying to open netdisco Web page an internal server error is reported and in the log there is the following message:

[Wed Sep 30 09:23:31 2009] [error] [client 172.16.80.1] failed to resolve handler `netdisco::Mason': Can't locate netdisco/Mason.pm in @INC (@INC contains: /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl . /etc/httpd) at (eval 5) line 3.\n

Version-Release number of selected component (if applicable):

netdisco-0.95-2.fc11.noarch
httpd-2.2.13-1.fc11.i586

How reproducible:

Always

Steps to Reproduce:
1. Open Web page to access netdisco Web console
  
Actual results:

Error page

Expected results:

Administration console

Additional info:

The solution to the letter problem is documented in the following post:

http://lists.centos.org/pipermail/centos/2009-April/075560.html

Comment 1 Walter Gould 2009-10-02 16:26:20 UTC
Did you use the netdisco_config script to configure netdisco?  Or, did you do it manually?

Comment 2 Stjepan Gros 2009-10-02 17:19:22 UTC
It was manual install.

Comment 3 Walter Gould 2009-10-02 20:18:10 UTC
You should've used the netdisco_config script.  If you had used the script, it would have configured netdisco properly for you and you would not have received the above errors.  Can you try it again by running the config script?

Comment 4 Stjepan Gros 2009-10-05 07:12:12 UTC
Yes, using netdisco_config it works with no problems. The problem was that I didn't knew for that script. Maybe it would be good to plase INSTALL.fedora or something similar in /usr/share/doc directory with the note that the script should be used for post installation?

Comment 5 Stjepan Gros 2009-10-05 07:37:55 UTC
I just manually imported oui.txt and it turns out that there are many errors because of encoding. I did:

iconv -f iso88591 -t utf8 oui.txt.orig > oui.txt

and then no errors were reported.

Comment 6 Walter Gould 2009-10-05 14:17:07 UTC
Thanks, I will add an INSTALL.fedora file when I next update the package.  I should have done that to start with.  Thanks for suggesting that.

As far as the oui.txt file, it is downloaded from ieee.org and imported to the postgres db via the netdisco_config script.  Any encoding error output is directed to /dev/null.  So given that, I don't know that the fact that there are encoding errors really matters.

Comment 7 Stjepan Gros 2009-10-05 19:29:08 UTC
I didn't do any checking to see if imports differ.

And I don't know should I open new bug report, or not, but trying to remove netdisco with rpm -e, fails with the following message:

# rpm -e netdisco
service netdisco does not support chkconfig
error: %preun(netdisco-0.95-2.fc11.noarch) scriptlet failed, exit status 1

Comment 8 Walter Gould 2009-10-05 20:29:04 UTC
Yeah, see Bug# 526744.  Someone else opened a bug on not being able to uninstall the rpm properly.  This issue is fixed in netdisco-0.95-4.fc11 which should be showing up in the stable repo in the next day or so.

Comment 9 Chuck Murnane 2009-10-09 23:20:32 UTC
I had a slightly different problem when installing netdisco on a x86_64 system. I run the x86_64 version of httpd and mod_perl. The /usr/sbin/netdisco_config script modifies the netdisco file /etc/httpd/conf.d/netdisco_apache.conf so it contains a reference to /usr/lib/httpd/modules/mod_perl.so, a file provided by the mod_perl package. The x86_64 version, however, provides /usr/lib64/httpd/modules/mod_perl.so, so I had to edit the /etc/httpd/conf.d/netdisco_apache.conf file manually to provide that. I don't have access to my 64 bit system right now, but looking at the netdisco_config script, I don't think that it handles this case. As I recall, there were two references to /usr/lib/httpd that had to change to /usr/lib64/httpd in that netdisco_apache.conf file.

Comment 10 Walter Gould 2009-10-12 18:29:20 UTC
(In reply to comment #9)
> I had a slightly different problem when installing netdisco on a x86_64 system.
> I run the x86_64 version of httpd and mod_perl. The /usr/sbin/netdisco_config
> script modifies the netdisco file /etc/httpd/conf.d/netdisco_apache.conf so it
> contains a reference to /usr/lib/httpd/modules/mod_perl.so, a file provided by
> the mod_perl package. The x86_64 version, however, provides
> /usr/lib64/httpd/modules/mod_perl.so, so I had to edit the
> /etc/httpd/conf.d/netdisco_apache.conf file manually to provide that. I don't
> have access to my 64 bit system right now, but looking at the netdisco_config
> script, I don't think that it handles this case. As I recall, there were two
> references to /usr/lib/httpd that had to change to /usr/lib64/httpd in that
> netdisco_apache.conf file.  

Chuck  - can you open up a separate bug request for the above 64 bit problem you experienced?  I would appreciate it - this will help me to better track the bugs that have been submitted.

Thanks,
-W

Comment 11 Walter Gould 2009-10-12 18:30:58 UTC
(In reply to comment #8)
> Yeah, see Bug# 526744.  Someone else opened a bug on not being able to
> uninstall the rpm properly.  This issue is fixed in netdisco-0.95-4.fc11 which
> should be showing up in the stable repo in the next day or so.  

FYI - netdisco-0.95-4.fc11 is now out and the uninstall problems that existed in netdisco-0.95-2.fc11 should not exist anymore.

Comment 12 Fedora Update System 2009-11-09 23:25:48 UTC
netdisco-1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/netdisco-1.0-2.fc12

Comment 13 Fedora Update System 2009-11-09 23:27:04 UTC
netdisco-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netdisco-1.0-2.fc11

Comment 14 Fedora Update System 2009-11-09 23:28:33 UTC
netdisco-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/netdisco-1.0-2.el5

Comment 15 Fedora Update System 2009-11-10 03:22:47 UTC
netdisco-1.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netdisco'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0828

Comment 16 Fedora Update System 2009-11-11 14:56:43 UTC
netdisco-1.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netdisco'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11323

Comment 17 Fedora Update System 2009-11-11 15:05:13 UTC
netdisco-1.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netdisco'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11383

Comment 18 Stjepan Gros 2009-11-20 07:49:56 UTC
Fixed. Closing bug.

Comment 19 Fedora Update System 2009-11-27 21:51:47 UTC
netdisco-1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-11-27 21:57:49 UTC
netdisco-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-12-01 18:27:17 UTC
netdisco-1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.